### Method

# Gtk Entry set_max_length

#### Declaration [src]

    void
    gtk_entry_set_max_length (
      GtkEntry* entry,
      int max
    )

#### Description [src]

Sets the maximum allowed length of the contents of the widget.

If the current contents are longer than the given length, then they will be truncated to fit.

This is equivalent to getting `entry`‘s `GtkEntryBuffer` and calling gtk_entry_buffer_set_max_length() on it.

Sets property | `Gtk.Entry:max-length`

#### Parameters

`max` | `int`
| The maximum length of the entry, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.